package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class TableStructureVO {
   private String id;
   private String datasytemid;
   private String parentid;
   private String username;
   private String password;
   private String dbschema;
   private String tableorcolumnname;
   private String type;
   private String state;
   private String flag;
   private String selected;
   private List<TableStructureVO> children;

   public TableStructureVO() {
   }

   public TableStructureVO(String id, String datasytemid, String parentid, String username, String password, String dbschema, String tableorcolumnname, String type, String state, String flag, List<TableStructureVO> children) {
      this.id = id;
      this.datasytemid = datasytemid;
      this.parentid = parentid;
      this.username = username;
      this.password = password;
      this.dbschema = dbschema;
      this.tableorcolumnname = tableorcolumnname;
      this.type = type;
      this.state = state;
      this.flag = flag;
      this.children = children;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getDatasytemid() {
      return this.datasytemid;
   }

   public void setDatasytemid(String datasytemid) {
      this.datasytemid = datasytemid;
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getDbschema() {
      return this.dbschema;
   }

   public void setDbschema(String dbschema) {
      this.dbschema = dbschema;
   }

   public String getTableorcolumnname() {
      return this.tableorcolumnname;
   }

   public void setTableorcolumnname(String tableorcolumnname) {
      this.tableorcolumnname = tableorcolumnname;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public List<TableStructureVO> getChildren() {
      return this.children;
   }

   public void setChildren(List<TableStructureVO> children) {
      this.children = children;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getSelected() {
      return this.selected;
   }

   public void setSelected(String selected) {
      this.selected = selected;
   }
}
